#include "inout.hlsl"

float4 Depth_PS(PIT_DEPTH input) : SV_TARGET
{
	float depthValue;
	float4 color;

	depthValue = input.depthPosition.z / input.depthPosition.w;
	color = float4(depthValue, depthValue, depthValue, 1.0f);

	return color;
}